// JavaScript Document

(function($){
	
	$(document).ready(function(){
		initCSSForSingle();
		applyDropCap();
	});
	
	function applyDropCap(){
		if ($('.mainWrapper>.mainCol>article>.text').length>0 && !$('.mainWrapper>.mainCol>article>.text').hasClass('noDropCap')){
			var p = $('.mainWrapper>.mainCol>article>.text>p:eq(0)').html();
			var firstLetter = p.substring(0,1);
			if (firstLetter == '<' || firstLetter == '>') return;
			p = '<span class="dropCap">'+ firstLetter +'</span>'+p.substring(1);
			$('.mainWrapper>.mainCol>article>.text>p:eq(0)').html(p);
			$('.mainWrapper>.mainCol>article>.text .dropCap').addClass('sansSerif uppercase');
		}
	}
	
	function initCSSForSingle(){
		// for single page
		$('.mainWrapper>.mainCol>article>.date').addClass('sansSerif uppercase');
		$('.mainWrapper>.mainCol>article>.title').addClass('sansSerif uppercase noMarginOrPadding');
		$('.mainWrapper>.mainCol>article>.author').addClass('sansSerif uppercase');
		$('.mainWrapper>.mainCol>.commentsWrapper h3').addClass('sansSerif uppercase noMarginOrPadding');
		$('.mainWrapper>.mainCol>.commentsWrapper>ol .comment-author').addClass('sansSerif uppercase');
		$('.mainWrapper>.mainCol>.commentsWrapper>ol>li .reply>a').addClass('sansSerif uppercase');
		$('.mainWrapper>.mainCol>.commentsWrapper #respond label').addClass('sansSerif uppercase');
		$('.mainWrapper>.mainCol>.commentsWrapper>ol .comment-meta a').addClass('sansSerif uppercase');
		$('.mainWrapper>.mainCol>.commentsWrapper>ol .comment-awaiting-moderation').addClass('sansSerif uppercase');
		$('.mainWrapper>.mainCol>.commentsWrapper #respond #submit').addClass('sansSerif uppercase');
		$('.mainWrapper>.mainCol>.commentsWrapper>ol .comment-author a').attr('target','_blank');
		
		$('.mainWrapper>.mainCol>article>.text h1').addClass('sansSerif uppercase noMarginOrPadding');
		$('.mainWrapper>.mainCol>article>.text h2').addClass('sansSerif uppercase noMarginOrPadding');
		$('.mainWrapper>.mainCol>article>.text h3').addClass('sansSerif uppercase noMarginOrPadding');
		$('.mainWrapper>.mainCol>article>.text h4').addClass('sansSerif uppercase noMarginOrPadding');
		$('.mainWrapper>.mainCol>article>.text h5').addClass('sansSerif uppercase noMarginOrPadding');
		$('.mainWrapper>.mainCol>article>.text h6').addClass('sansSerif uppercase noMarginOrPadding');
		$('.mainWrapper>.mainCol>article>.text>p:last-child').css('margin-bottom',0);
		$('.mainWrapper>.mainCol>ul:last-child').css('margin-bottom',0);
		$('.mainWrapper>.mainCol>ul:last-child>li>p:last-child').css('margin-bottom',0);
	}
	
})(jQuery);