// JavaScript Document

(function($){
	
	$(document).ready(function(){
		$('#setAllToDefault').click(function(e){
			e.preventDefault();
			$('.colorSchemeTable input.color').val('');
		});
		
		$('#colorScheme1').click(function(e){
			e.preventDefault();
			$('.colorSchemeTable input.color').each(function(index,element){
				switch($(this).attr('name')){
					case 'colorPageBg':
						$(this).val('FFFFFF');
						break;
					case 'colorMainBg':
						$(this).val('FFFFFF');
						break;
					case 'colorSiteTitle':
						$(this).val('000000');
						break;
					case 'colorTagline':
						$(this).val('000000');
						break;
					case 'colorWidgetTitleBg':
						$(this).val('000000');
						break;
					case 'colorWidgetTitleText':
						$(this).val('FFFFFF');
						break;
					case 'colorHRule':
						$(this).val('000000');
						break;
					case 'colorColumnRules':
						$(this).val('000000');
						break;
					case 'colorCurrentPrimaryMenuItemBg':
						$(this).val('000000');
						break;
					case 'colorCurrentPrimaryMenuItemText':
						$(this).val('FFFFFF');
						break;
					case 'colorMenuItemBgHovered':
						$(this).val('000000');
						break;
					case 'colorMenuItemTextHovered':
						$(this).val('FFFFFF');
						break;
					case 'colorSubMenuItemBg':
						$(this).val('333333');
						break;
					case 'colorSubMenuItemBgHovered':
						$(this).val('999999');
						break;
					case 'colorSubMenuItemText':
						$(this).val('FFFFFF');
						break;
					case 'colorWidgetSidebarLinkBg':
						$(this).val('808080');
						break;
					case 'colorWidgetSidebarLinkText':
						$(this).val('FFFFFF');
						break;
				}
			}); // end of each function for input.color	
		}); // end of #colorScheme1
		
		$('#colorScheme2').click(function(e){
			e.preventDefault();
			$('.colorSchemeTable input.color').each(function(index,element){
				switch($(this).attr('name')){
					case 'colorPageBg':
						$(this).val('2F343B');
						break;
					case 'colorMainBg':
						$(this).val('DBD9D2');
						break;
					case 'colorSiteTitle':
						$(this).val('2F343B');
						break;
					case 'colorTagline':
						$(this).val('2F343B');
						break;
					case 'colorWidgetTitleBg':
						$(this).val('2F343B');
						break;
					case 'colorWidgetTitleText':
						$(this).val('FFFFFF');
						break;
					case 'colorHRule':
						$(this).val('2F343B');
						break;
					case 'colorColumnRules':
						$(this).val('000000');
						break;
					case 'colorCurrentPrimaryMenuItemBg':
						$(this).val('2F343B');
						break;
					case 'colorCurrentPrimaryMenuItemText':
						$(this).val('FFFFFF');
						break;
					case 'colorMenuItemBgHovered':
						$(this).val('2F343B');
						break;
					case 'colorMenuItemTextHovered':
						$(this).val('FFFFFF');
						break;
					case 'colorSubMenuItemBg':
						$(this).val('333333');
						break;
					case 'colorSubMenuItemBgHovered':
						$(this).val('999999');
						break;
					case 'colorSubMenuItemText':
						$(this).val('FFFFFF');
						break;
					case 'colorWidgetSidebarLinkBg':
						$(this).val('808080');
						break;
					case 'colorWidgetSidebarLinkText':
						$(this).val('FFFFFF');
						break;
				}
				
				$(this).change();
			}); // end of each function for input.color	
		}); // end of #colorScheme2
		
		
	}); // end of document
	
})(jQuery);