<?php get_header(); ?>
<div class="mainWrapper clearFix oneColumnRule">
	<?php if (have_posts()): while(have_posts()): the_post();?>
    <div class="mainCol">
        <article>
        	<?php
				$titleColor = get_post_meta(get_the_ID(), 'title-color');
				$authorColor = get_post_meta(get_the_ID(), 'author-color');
				$dateColor = get_post_meta(get_the_ID(), 'date-color');
				$excerptColor = get_post_meta(get_the_ID(), 'excerpt-color');
			?>
            <p class="date" <?php echo ($dateColor && $dateColor[0] != '')?'style="color: '.$dateColor[0].';"':'';?>><?php the_time('M j, Y');?></p>
            <h1 class="title" <?php echo ($titleColor && $titleColor[0] != '')?'style="color: '.$titleColor[0].';"':'';?>><?php the_title(); ?></h1>
            <p class="excerpt" <?php echo ($excerptColor && $excerptColor[0] != '')?'style="color: '.$excerptColor[0].';"':'';?>><?php echo get_the_excerpt(); ?></p>
            <p class="author" <?php echo ($authorColor && $authorColor[0] != '')?'style="color: '.$authorColor[0].';"':'';?>>by <?php the_author(); ?></p>
            <?php
            	$layout = get_post_meta(get_the_ID(), 'layout');
				$columns = NULL;
				if ($layout[0] == 2){
					$columns = 'twoColumns';
				} elseif ($layout[0]==3){
					$columns = 'threeColumns';
				}
				$noDropCap = get_post_meta(get_the_ID(), 'no-dropcap');
			?>
            <div class="text <?php echo $columns;?> <?php echo $noDropCap[0] == 1?'noDropCap':'';?> clearFix">
                <?php the_content(); ?>
            </div>
        </article>
        <div class="commentsWrapper">
        <?php comments_template(); ?>
        </div>
    </div>
    <?php endwhile; endif; ?>
    <?php get_sidebar('single-left'); ?>
</div>
<?php get_footer(); ?>